Matheo:
You don't know about Oren's Ivory Tower? Oren's Ivory Tower was built in the days of the Ancient Kingdom of Elmoreden, and is the chief temple of magic. These days its authority isn't what it once was, but still, most decent Mystics are trained there.
Also, there is a rumor that a mysterious gem in the lower level that magnifies the power of magic, but no one claims to have actually seen it. I cannot say if this is true, since I have not seen it either.
Return